Bug 735465 - Xorg hang with nouveau backtrace
Xorg hang with nouveau backtrace
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-02 13:47 EDT by Adam Pribyl
Modified: 2018-04-11 03:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 11:37:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg log (32.71 KB, text/plain)
2011-09-02 13:48 EDT, Adam Pribyl
no flags Details

  None (edit)
Description Adam Pribyl 2011-09-02 13:47:17 EDT
Description of problem:
[ 39258.086] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[ 39258.170]
Backtrace:
[ 39258.963] 0: /usr/bin/Xorg (xorg_backtrace+0x2f) [0x45e7ff]
[ 39258.963] 1: /usr/bin/Xorg (mieqEnqueue+0x1e9) [0x458d79]
[ 39258.963] 2: /usr/bin/Xorg (xf86PostMotionEventM+0xa3) [0x47e6a3]
[ 39258.963] 3: /usr/bin/Xorg (xf86PostMotionEventP+0x52) [0x47e7c2]
[ 39258.971] 4: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7ff2ff2c9000+0x4b1b) [0x7ff2ff2cdb1b]
[ 39258.984] 5: /usr/bin/Xorg (0x400000+0x6c0f8) [0x46c0f8]
[ 39258.984] 6: /usr/bin/Xorg (0x400000+0x11a050) [0x51a050]
[ 39258.984] 7: /lib64/libpthread.so.0 (0x323dc00000+0xeef0) [0x323dc0eef0]
[ 39258.984] 8: /lib64/libc.so.6 (ioctl+0x7) [0x323d4d8af7]
[ 39258.984] 9: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x3252203358]
[ 39258.984] 10: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x325220547b]
[ 39258.984] 11: /usr/lib64/libdrm_nouveau.so.1 (0x7ff302566000+0x2ed7) [0x7ff302568ed7]
[ 39258.984] 12: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7ff3025694f9]
[ 39258.984] 13: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7ff30276b000+0x5dde) [0x7ff302770dde]
[ 39258.984] 14: /usr/lib64/xorg/modules/libexa.so (0x7ff301b1d000+0xcb57) [0x7ff301b29b57]
[ 39258.984] 15: /usr/lib64/xorg/modules/libexa.so (0x7ff301b1d000+0xd365) [0x7ff301b2a365]
[ 39258.984] 16: /usr/bin/Xorg (0x400000+0xd9e21) [0x4d9e21]
[ 39258.984] 17: /usr/bin/Xorg (0x400000+0xd5e90) [0x4d5e90]
[ 39258.984] 18: /usr/bin/Xorg (0x400000+0x2edb1) [0x42edb1]
[ 39258.984] 19: /usr/bin/Xorg (0x400000+0x22e1a) [0x422e1a]
[ 39258.984] 20: /lib64/libc.so.6 (__libc_start_main+0xed) [0x323d42139d]
[ 39258.984] 21: /usr/bin/Xorg (0x400000+0x23101) [0x423101]

All necessary info in attached Xorg.0.log. There is now xrog.conf.
Comment 1 Adam Pribyl 2011-09-02 13:48:16 EDT
Created attachment 521267 [details]
xorg log
Comment 2 Matěj Cepl 2011-09-05 10:44:35 EDT
For the full analysis of the backtrace we would need also the current version of your libdrm, xorg-x11-drv-evdev, glibc, and xorg-x11-drv-nouveau.

Thank you
Comment 3 Conrad Meyer 2011-12-30 20:35:57 EST
I'm what looks like an identical trace. I've attempted to append symbols at the end where they are missing, followed by "??", based on guessing from the output of "nm":


[519869.291] 0: /usr/bin/Xorg (xorg_backtrace+0x2f) [0x462dff]
[519869.291] 1: /usr/bin/Xorg (mieqEnqueue+0x17d) [0x55773d]
[519869.291] 2: /usr/bin/Xorg (0x400000+0x46de3) [0x446de3] (queueEventList ??)
[519869.291] 3: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f6c82d2d000+0x5019) [0x7f6c82d32019] (EvdevPreInit ??)
[519869.291] 4: /usr/bin/Xorg (0x400000+0x7f348) [0x47f348] (xf86SigioReadInput ??)
[519869.291] 5: /usr/bin/Xorg (0x400000+0xa4b8b) [0x4a4b8b] (xf86RemoveSIGIOHandler ??)
[519869.291] 6: /lib64/libpthread.so.0 (0x3b66000000+0xf4f0) [0x3b6600f4f0] 
[519869.292] 7: /lib64/libc.so.6 (ioctl+0x7) [0x3b65ce8167]
[519869.292] 8: /usr/lib64/libdrm.so.2 (drmIoctl+0x28) [0x3b7e803398]
[519869.292] 9: /usr/lib64/libdrm.so.2 (drmCommandWrite+0x1b) [0x3b7e8054bb]
[519869.292] 10: /usr/lib64/libdrm_nouveau.so.1 (0x7f6c867da000+0x2f07) [0x7f6c867dcf07] (nouveau_grobj_free ??)
[519869.292] 11: /usr/lib64/libdrm_nouveau.so.1 (nouveau_bo_map_range+0x109) [0x7f6c867dd529]
[519869.292] 12: /usr/lib64/xorg/modules/drivers/nouveau_drv.so (0x7f6c869f6000+0x9857) [0x7f6c869ff857] 
[519869.292] 13: /usr/bin/Xorg (0x400000+0x9abf0) [0x49abf0] (xf86XVPutImage ??)
[519869.293] 14: /usr/lib64/xorg/modules/extensions/libextmod.so (0x7f6c876bd000+0x12750) [0x7f6c876cf750]
[519869.293] 15: /usr/bin/Xorg (0x400000+0x33ae1) [0x433ae1] (Dispatch ??)
[519869.293] 16: /usr/bin/Xorg (0x400000+0x22e15) [0x422e15] (main ??)
[519869.293] 17: /lib64/libc.so.6 (__libc_start_main+0xed) [0x3b65c2169d]
[519869.293] 18: /usr/bin/Xorg (0x400000+0x23101) [0x423101] (_start ??)


My current versions of these packages are:

libdrm-2.4.27-2.fc16.x86_64
xorg-x11-drv-evdev-2.6.99-3.20110601giteaf202531.fc16.x86_64
glibc-2.14.90-21.x86_64
xorg-x11-drv-nouveau-0.0.16-27.20110720gitb806e3f.fc16.x86_64
Comment 4 Conrad Meyer 2011-12-30 20:38:39 EST
This is prefaced in the Xorg log with:

"""
[519869.285] [mi] EQ overflowing. The server is probably stuck in an infinite loop.
[519869.285]
Backtrace:
"""
Comment 5 Fedora End Of Life 2012-08-07 11:37:35 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.